# Requires Borland Make utility

.autodepend # Header file dependencies

CC 		= wpp386
CFLAGS  	= -dUSE_ASM
LINKER  	= wlink    
ASM     	= TASM.exe

# General rules

.cpp.obj:
	$(CC) $(CFLAGS) $<

.asm.obj:
	$(ASM) /m2 $<

# Default

help:
	@echo  Arageli by Nikolai Yu. Zolotykh
	@echo  version for Watcom C++ (Win32)

# Executables

all:  testbg.exe testbig.exe testbio.exe testbr.exe sc.exe

testbg.exe: testbg.obj bigarith.obj bigar32.obj
        $(LINKER) name testbg file testbg.obj, bigarith.obj, bigar32.obj

testbig.exe: testbig.obj bigarith.obj bigar32.obj
        $(LINKER) name testbig file testbig.obj, bigarith.obj, bigar32.obj

testbio.exe: testbio.obj bigarith.obj bigar32.obj
        $(LINKER) name testbio file testbio.obj, bigarith.obj, bigar32.obj

testbr.exe: testbr.obj bigarith.obj bigar32.obj
        $(LINKER) name testbr file testbr.obj, bigarith.obj, bigar32.obj

sc.exe: sc.obj bigarith.obj bigar32.obj
        $(LINKER) name sc file sc.obj, bigarith.obj, bigar32.obj

clean:
        @del bigarith.obj
        @del bigar32.obj
        @del testbg.obj
        @del testbig.obj
        @del testbio.obj
        @del testbr.obj
        @del sc.obj
        @del testbg.err
        @del testbig.err
        @del testbio.err
        @del testbr.err
        @del sc.err

cleanall: clean
	@del testbg.exe
	@del testbig.exe
	@del testbio.exe
	@del testbr.exe
	@del sc.exe

new:    cleanall all


